Bug 235276 - [PATCH] security/py-sslstrip: add missing dependency to RUN_DEPENDS
Summary: [PATCH] security/py-sslstrip: add missing dependency to RUN_DEPENDS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Vinícius Zavam
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2019-01-28 08:41 UTC by Vinícius Zavam
Modified: 2019-02-07 13:25 UTC (History)
4 users (show)

See Also:
egypcio: maintainer-feedback+


Attachments
[PATCH] security/py-sslstrip: add missing dependency to RUN_DEPENDS (906 bytes, patch)
2019-01-28 08:41 UTC, Vinícius Zavam
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vinícius Zavam freebsd_committer 2019-01-28 08:41:18 UTC
Created attachment 201475 [details]
[PATCH] security/py-sslstrip: add missing dependency to RUN_DEPENDS

without 'security/py-service_identity' the following warning was produced:

:0: UserWarning: You do not have a working installation of the service_identity module: 'No module named service_identity'.  Please install it from <https://pypi.python.org/pypi/service_identity> and make sure all of its dependencies are satisfied.  Without the service_identity module, Twisted can perform only rudimentary TLS client hostname verification.  Many valid certificate/hostname mappings may be rejected.

testport OK (11.2, 12.0, HEAD @ amd64, armv6, i386)
Comment 1 Vinícius Zavam freebsd_committer 2019-01-28 08:42:19 UTC
I'm taking this issue, and can take care of it as well.
Comment 2 Matthew Donovan 2019-02-03 21:48:14 UTC
Not a run depend since it runs without it but to get rid of warning sure why not.
Comment 3 Vinícius Zavam freebsd_committer 2019-02-05 09:59:08 UTC
(In reply to Matthew Donovan from comment #2)

Thank you Matthew! I should now just wait for an approval here, and the patch will land in the tree. Appreciated.

KR,
Comment 4 Rene Ladan freebsd_committer 2019-02-05 19:17:10 UTC
Approved.
Comment 5 commit-hook freebsd_committer 2019-02-07 13:23:57 UTC
A commit references this bug:

Author: egypcio
Date: Thu Feb  7 13:23:51 UTC 2019
New revision: 492365
URL: https://svnweb.freebsd.org/changeset/ports/492365

Log:
  security/py-sslstrip: add missing dependency to RUN_DEPENDS

  PR:		235276
  Submitted by:	egypcio
  Reviewed by:	Matthew Donovan <kitchetech % gmail.com> (maintainer)
  Approved by:	rene (mentor)

Changes:
  head/security/py-sslstrip/Makefile
Comment 6 Vinícius Zavam freebsd_committer 2019-02-07 13:25:04 UTC
(In reply to Rene Ladan from comment #4)

Thanks!